------------------------------------
-- Recovery Tanker Example Script --
------------------------------------

-- Display mission time
--SCHEDULER:New(nil, UTILS.DisplayMissionTime, {5}, 30, 30)

-- S-3B at USS Stennis spawning on deck.
local tankerStennis=RECOVERYTANKER:New("CVN-73 George Washington", "Texaco Group")

-- Custom settings:
tankerStennis:SetAltitude(6000)
tankerStennis:SetRadio(261)
tankerStennis:SetSpeed(300)
tankerStennis:SetCallsign(CALLSIGN.Tanker.Shell)
tankerStennis:SetTACAN(10, "TKR")
tankerStennis:SetTakeoffCold()
tankerStennis:SetRacetrackDistances(10, 10)
tankerStennis:Start()
tankerStennis:SetLowFuelThreshold(20)
tankerStennis:SetPatternUpdateDistance(8)
tankerStennis:SetHomeBase(AIRBASE:FindByName("CVN-73 George Washington"))

-- Start recovery tanker.
-- NOTE: If you spawn on deck, it seems prudent to delay the spawn a bit after the mission starts.
tankerStennis:__Start(1)

-- E-2D @ USS Stennis spawning in air.
local awacsStennis=RECOVERYTANKER:New("CVN-73 George Washington", "E2D Group")

-- Custom settings:
awacsStennis:SetAWACS()
awacsStennis:SetCallsign(CALLSIGN.AWACS.Wizard)
awacsStennis:SetAltitude(20000)
awacsStennis:SetSpeed(300)
awacsStennis:SetRadio(262)
awacsStennis:SetTakeoffCold()
awacsStennis:SetRacetrackDistances(20, 20)
awacsStennis:SetModex(069)
awacsStennis:SetHomeBase(AIRBASE:FindByName("CVN-73 George Washington"))
awacsStennis:SetPatternUpdateDistance(8)

-- Start AWACS.
awacsStennis:Start()

-- Rescue Helo @ USS Stennis spawned on deck hot.
heloStennis=RESCUEHELO:New("CVN-73 George Washington", "Rescue Helo Group")
heloStennis:SetHomeBase(AIRBASE:FindByName("USS Oliver Hazard Perry"))
heloStennis:SetModex(21)
heloStennis:Start()
heloStennis:SetPatternUpdateDistance(1)

-- Set carrier strike groups to patrol waypoints indefinitely. Once the last waypoint is reached, group will go back to first waypoint and start over.
UNIT:FindByName("CVN-73 George Washington"):PatrolRoute()